<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 3. Scripting And Extending Synopsis</title><link rel="stylesheet" href="synopsis.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.73.2" /><link rel="start" href="index.html" title="Synopsis Tutorial" /><link rel="up" href="index.html" title="Synopsis Tutorial" /><link rel="prev" href="comments.html" title="Using Comments For Documentation" /><link rel="next" href="asg.html" title="The ASG" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 3. Scripting And Extending Synopsis</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="comments.html">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="asg.html">Next</a></td></tr></table></div><div class="chapter" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title"><a id="scripting"></a>Chapter 3. Scripting And Extending Synopsis</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="asg.html">The ASG</a></span></dt><dt><span class="section"><a href="processor.html">The Processor class</a></span></dt><dt><span class="section"><a href="pipeline.html">Composing A Pipeline</a></span></dt><dt><span class="section"><a href="script.html">Writing your own synopsis script</a></span></dt><dd><dl><dt><span class="section"><a href="script.html#importing">Importing all desired processors</a></span></dt><dt><span class="section"><a href="script.html#composing">Composing new processors</a></span></dt><dt><span class="section"><a href="script.html#extending">Defining New Processors</a></span></dt><dt><span class="section"><a href="script.html#process">Exposing The Commands</a></span></dt></dl></dd></dl></div><p>Often it isn't enough to provide textual options to the synopsis tool.
      The processors that are at the core of the synopsis framework are highly
      configurable. They can be passed simple string / integer / boolean type
      parameters, but some of them are also composed of objects that could be
      passed along as parameters.</p><p>While synopsis provides a lot of such building blocks already, you may
      want to extend them by subclassing your own.</p><p>In all these cases scripting is a much more powerful way to let
      synopsis do what you want. This chapter explains the basic design
      of the framework, and demonstrates how to write scripts using the
      built-in building blocks as well as user extensions</p></div><div class="navfooter"><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="comments.html">Prev</a> </td><td width="20%" align="center"> </td><td width="40%" align="right"> <a accesskey="n" href="asg.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Using Comments For Documentation </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> The ASG</td></tr></table></div></body></html>
